import './node.person.full.scss';

import { FadeInSlideUpAnimator, FadeInSlideLeftAnimator, FadeInSlideRightAnimator } from 'utils/animators';

document.addEventListener('DOMContentLoaded', () => {
  const PROFILE_ELEMENTS = document.querySelectorAll(`
    .node__summary,
    .node__content > *:not(.node__info-card)
  `);
  new FadeInSlideUpAnimator(PROFILE_ELEMENTS);

  const INFO_CARD_ELEMENTS = document.querySelectorAll(`
    .node__info-card > *:not(.node__info-card-content, .node__headshot),
    .node__info-card-content > *
  `);
  new FadeInSlideLeftAnimator(INFO_CARD_ELEMENTS);

  const INFO_CARD_HEADSHOT = document.querySelector('.node__headshot');
  new FadeInSlideRightAnimator(INFO_CARD_HEADSHOT);
});
